For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETGet records
      • GETGet record Indices
      • PUTUpdate records
      • POSTInsert records
      • DELDelete records
      • PUTFinds and replaces field values matching search criteria
      • PATCHBulk update records with field values
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceRecords

Delete records

DELETE
https://api.x.flatfile.com/v1/sheets/:sheetId/records
DELETE
/v1/sheets/:sheetId/records
$curl -X DELETE "https://api.x.flatfile.com/v1/sheets/us_sh_YOUR_ID/records?ids=us_rc_YOUR_ID" \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "success": true
4 }
5}
Deletes records from a workbook sheet
Was this page helpful?
Previous

Finds and replaces field values matching search criteria

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

sheetIdstringRequired
ID of sheet

Headers

X-Disable-Hooks"true"Required

Query parameters

idsstringRequired
A list of record IDs to delete. Maximum of 100 allowed.

Response

This endpoint returns an object.
dataobject

Errors

400
Bad Request Error
404
Not Found Error